{
    "name": "blazon/oauth",
    "description": "OAuth Server for the Blazon Framework",
    "type": "library",
    "homepage": "https://gitlab.com/blazon/oauth",
    "license": "MIT",
    "keywords": [
        "Oauth",
        "Doctrine",
        "Mezzio"
    ],
    "config": {
        "sort-packages": true
    },
    "minimum-stability": "alpha",
    "prefer-stable": true,
    "require": {
        "php": "^7.3|^8.0",
        "ext-openssl": "*",
        "blazon/database-core": "^0.0",
        "knplabs/doctrine-behaviors": "^2.0",
        "league/oauth2-server": "^8.2",
        "mezzio/mezzio-problem-details": "^1.3",
        "mezzio/mezzio-router": "^3.3",
        "mezzio/mezzio-session": "^1.4",
        "psr/container": "^1.0",
        "psr/http-message": "^1.0.1",
        "psr/http-server-middleware": "^1.0"
    },
    "require-dev": {
        "phpmd/phpmd": "@stable",
        "phpstan/phpstan": "^0.12.64",
        "phpunit/phpunit": "^9.5.0",
        "squizlabs/php_codesniffer": "^3.5.8"
    },
    "autoload": {
        "psr-4": {
            "Blazon\\OAuth\\": "src/"
        }
    },
    "autoload-dev": {
        "psr-4": {
            "Blazon\\OAuth\\Test\\": "tests/"
        }
    },
    "extra": {
        "zf": {
            "config-provider": "Blazon\\OAuth\\ConfigProvider"
        }
    },
    "scripts": {
        "php-version": "php -v",
        "php-modules": "php -m",
        "php-info": "php -i",
        "php-cs-fixer": "php-cs-fixer --rules=@PSR12",
        "phpcs": "phpcs --extensions=php --standard=PSR12 --ignore=*/_files/* src/ tests/",
        "phpmd": "phpmd ./src text ./phpmd.xml --suffixes php",
        "phpstan": "phpstan -n --no-ansi analyse --no-progress --level=5 src/",
        "phpunit": "phpunit tests",
        "phpunit-ci": "phpunit tests --coverage-clover clover.xml",
        "test-coverage": "phpunit --colors=always --coverage-clover clover.xml",
        "test": [
            "Composer\\Config::disableProcessTimeout",
            "@phpcs",
            "@phpmd",
            "@phpstan",
            "@phpunit"
        ],
        "test-ci": [
            "Composer\\Config::disableProcessTimeout",
            "@phpcs",
            "@phpmd",
            "@phpstan",
            "@phpunit-ci"
        ]
    }
}
